### Method

# GObject Object disconnect

#### Declaration

    void
    g_object_disconnect (
      GObject* object,
      const gchar* signal_spec,
      ...
    )

#### Description

A convenience function to disconnect multiple signals at once.

The signal specs expected by this function have the form “any_signal”, which means to disconnect any signal with matching callback and data, or “any_signal::signal_name”, which only disconnects the signal named “signal_name”.

This method is not directly available to language bindings.

#### Parameters

`signal_spec`

  Type: `const gchar*`

  The spec for the first signal.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  `GCallback` for the first signal, followed by data for the first signal, followed optionally by more signal spec/callback/data triples, followed by `NULL`.